Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPrinter.PrinterMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPrinter.PrinterMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPrinter

    public static final class QPrinter.PrinterMode

extends java.lang.Enum
implements QtEnumerator

This enum describes the mode the printer should work in. It basically presets a certain resolution and working mode. Note: When rendering text on a `QPrinter` device, it is important to realize that the size of text, when specified in points, is independent of the resolution specified for the device itself. Therefore, it may be useful to specify the font size in pixels when combining text with graphics to ensure that their relative sizes are what you expect.

See Also:
  Serialized Form

Field Summary
`static QPrinter.PrinterMode` | `HighResolution` On Windows, sets the printer resolution to that defined for the printer in use.
`static QPrinter.PrinterMode` | `PrinterResolution` This value is deprecated.
`static QPrinter.PrinterMode` | `ScreenResolution` Sets the resolution of the print device to the screen resolution.

Method Summary
`static QPrinter.PrinterMode` | `resolve(int value)` Returns the PrinterMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrinter.PrinterMode` | `valueOf(java.lang.String name)`
`static QPrinter.PrinterMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ScreenResolution

    public static final QPrinter.PrinterMode ScreenResolution

  Sets the resolution of the print device to the screen resolution. This has the big advantage that the results obtained when painting on the printer will match more or less exactly the visible output on the screen. It is the easiest to use, as font metrics on the screen and on the printer are the same. This is the default value. `ScreenResolution` will produce a lower quality output than `HighResolution` and should only be used for drafts.

### PrinterResolution

    public static final QPrinter.PrinterMode PrinterResolution

  This value is deprecated. Is is equivalent to `ScreenResolution` on Unix and `HighResolution` on Windows and Mac. Due do the difference between `ScreenResolution` and `HighResolution` , use of this value may lead to non-portable printer code.

### HighResolution

    public static final QPrinter.PrinterMode HighResolution

  On Windows, sets the printer resolution to that defined for the printer in use. For `PostScript` printing, sets the resolution of the `PostScript` driver to 1200 dpi.

Method Detail

### values

    public static QPrinter.PrinterMode[] values()

### valueOf

    public static QPrinter.PrinterMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrinter.PrinterMode resolve(int value)

  Returns the PrinterMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD